Subject: bug#59461: please help me

From: Bernhard Voelker <[email-masked]>
Date: Tue, 22 Nov 2022 23:22:30 +0100

tag 59461 notabug
close 59461
stop

On 11/21/22 10:21, 林兴隆 wrote:
> OS:      Rocky Linux release 9.0 (Blue Onyx)
> kenel:   5.14.0-70.22.1.el9_0.x86_64
> Docker： 20.10.21, build baeda1f
> Docker-Compose： v2.11.2
> 
> I use docker compose to run a container activemq，The contents are as follows，Error encountered，How can I solve it？please help me.
> 
> version: '3'
> services:
>    nacos:
>      image: webcenter/activemq
>      container_name: activemq
>      hostname: activemq
>      restart: always
>      deploy:
>        mode: replicated
>        replicas: 1
>        resources:
>          limits:
>            cpus: '2'
>            memory: 2G
>          reservations:
>            memory: 200M
>      env_file:
>        - /data/activemq/env/activemq.env
>      ports:
>        - "8161:8161"
>        - "61613:61613"
>        - "61616:61616"
>        - "1883:1883"
>        - /data/activemq/data:/data/activemq
>        - /data/activemq/logs:/var/log/activemq
> ①
> ②
> ③
> ④

Please avoid screenshots of textual terminal text: it's bloat, it's hard to
copy/paste to reproduce, and may therefore be ignored on this mailing list.

AFAICS, there's no error related to the GNU coreutils in the files you sent.
Instead, there are error messages of other software, e.g. search for "CRIT".
You may get better support for the actual error in forums or mailing lists
of the software which emits those errors.

Re. coreutils, there's only this warning which probably tempted you to send
this bug report:

 > tail: unrecognized file system type 0x794c7630 for ‘dock2.log’. please
 > report this to [email-masked]. reverting to polling

That docker image obviously uses a quite old coreutils version:
overlayfs - commonly used with Docker containers - has been added
in version 8.25 which was released in 2016.
Consider upgrading Coreutils if possible - we're at 9.1 currently.

See https://www.gnu.org/software/coreutils/filesystems.html for
more details.

As this is not a bug in our software, I'm hereby closing this issue in our bug tracker.

Have a nice day,
Berny